curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "MICROSOFT_DYNAMICS"
},
"name": "Updated Premium Product",
"description": "Updated product description"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345"
payload = {
"metadata": {
"source": "MICROSOFT_DYNAMICS"
},
"name": "Updated Premium Product",
"description": "Updated product description"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'MICROSOFT_DYNAMICS'
},
name: 'Updated Premium Product',
description: 'Updated product description'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 52188,
"name": "Updated Premium Product",
"description": "Updated product description",
"client_id": 58294,
"brand_id": 52187,
"company_id": 2336,
"user_id": 48429,
"created_at": "2025-12-09T15:22:28Z",
"updated_at": "2025-12-09T15:45:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "ProductNotFoundError",
"message": "Product with external ID 'EXT-PROD-12345' not found",
"code": "ZC004"
}
Products
Update Product
Updates an existing product in your COR instance using its external ID
PUT
/
v2
/
integrations
/
products
/
{id}
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "MICROSOFT_DYNAMICS"
},
"name": "Updated Premium Product",
"description": "Updated product description"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345"
payload = {
"metadata": {
"source": "MICROSOFT_DYNAMICS"
},
"name": "Updated Premium Product",
"description": "Updated product description"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'MICROSOFT_DYNAMICS'
},
name: 'Updated Premium Product',
description: 'Updated product description'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 52188,
"name": "Updated Premium Product",
"description": "Updated product description",
"client_id": 58294,
"brand_id": 52187,
"company_id": 2336,
"user_id": 48429,
"created_at": "2025-12-09T15:22:28Z",
"updated_at": "2025-12-09T15:45:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "ProductNotFoundError",
"message": "Product with external ID 'EXT-PROD-12345' not found",
"code": "ZC004"
}
Updates an existing product in your COR instance using its external ID. Only provided fields will be updated; fields not included in the request will remain unchanged.
Path Parameters
string
required
External product ID that was used when creating the product
Request Body Requirements
object
required
Show properties
Show properties
string
required
Integration source identifier. Must be one of:
JIRA, SALESFORCE, ADVERTMIND, QUICKBOOKS, ZAPIER, OKTA, MICROSOFT_DYNAMICS, GITHUB, MICROSOFT_TEAMS, VBS, SAP, GLOBANTstring
Updated product name
string
Updated product description
Known Errors
ZC001— Entity is not associated (product with the specified external ID not found)ProductNotFoundError— No product found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefield
curl --location --request PUT 'https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "MICROSOFT_DYNAMICS"
},
"name": "Updated Premium Product",
"description": "Updated product description"
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345"
payload = {
"metadata": {
"source": "MICROSOFT_DYNAMICS"
},
"name": "Updated Premium Product",
"description": "Updated product description"
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/products/EXT-PROD-12345',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'MICROSOFT_DYNAMICS'
},
name: 'Updated Premium Product',
description: 'Updated product description'
})
}
);
const data = await response.json();
console.log(data);
{
"id": 52188,
"name": "Updated Premium Product",
"description": "Updated product description",
"client_id": 58294,
"brand_id": 52187,
"company_id": 2336,
"user_id": 48429,
"created_at": "2025-12-09T15:22:28Z",
"updated_at": "2025-12-09T15:45:00Z"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
{
"error": "ProductNotFoundError",
"message": "Product with external ID 'EXT-PROD-12345' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

